summaryrefslogtreecommitdiffstats
path: root/source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-09-15 18:51:00 +0000
committer Eric Hameleers <alien@slackware.com>2020-09-16 08:59:54 +0200
commitb474b008f215dc3bcd1ed3fc164e47f606d783d5 (patch)
tree5849f269f652248ce4e65823d39f27f1f8c89e9d /source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch
parent4667441615bc9dd8d3aa4b11e0da0a1081eb3386 (diff)
downloadcurrent-b474b008f215dc3bcd1ed3fc164e47f606d783d5.tar.gz
current-b474b008f215dc3bcd1ed3fc164e47f606d783d5.tar.xz
Tue Sep 15 18:51:00 UTC 202020200915185100
a/libgudev-234-x86_64-1.txz: Upgraded. ap/htop-3.0.2-x86_64-1.txz: Upgraded. l/glib2-2.66.0-x86_64-2.txz: Rebuilt. Build against system gtk-doc and don't bundle a newer version. You'll need to reinstall the linuxdoc-tools package to restore the correct version of gtk-doc. Thanks to chrisVV. l/mozjs68-68.11.0esr-x86_64-2.txz: Removed. l/mozjs78-78.2.0esr-x86_64-1.txz: Added. This is needed by the new version of polkit. l/polkit-0.118-x86_64-1.txz: Upgraded. This requires the new mozjs78 package. x/libva-2.9.0-x86_64-1.txz: Upgraded. x/libva-utils-2.9.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch')
-rw-r--r--source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch15
1 files changed, 0 insertions, 15 deletions
diff --git a/source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch b/source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch
deleted file mode 100644
index f493643a..00000000
--- a/source/l/mozjs68/patches/Don-t-run-non262-extensions-clone-errors.js-on-s390x.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-Index: firefox-68.5.0/js/src/tests/jstests.list
-===================================================================
---- firefox-68.0/js/src/tests/jstests.list
-+++ firefox-68.0/js/src/tests/jstests.list
-@@ -493,6 +493,10 @@ skip script test262/language/expressions
- skip script test262/language/statements/class/elements/derived-cls-direct-eval-err-contains-superproperty-1.js
- skip script test262/language/statements/class/elements/derived-cls-direct-eval-err-contains-superproperty-2.js
-
-+# Crashes on s390x and ppc64, avoid it
-+#
-+skip-if(xulRuntime.XPCOMABI.match(/s390x|ppc64-/)) script non262/extensions/clone-errors.js
-+
-
- ###########################################################
- # Tests disabled due to issues in test262 importer script #